Bug 1059277 - HotRod client keep trying recover a connection to a cluster member after shutdown
Summary: HotRod client keep trying recover a connection to a cluster member after shut...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: CR1
: One-off release,6.2.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
: 1059276 (view as bug list)
Depends On:
Blocks: 1060199 1075061 1060655 1135520
TreeView+ depends on / blocked
 
Reported: 2014-01-29 14:55 UTC by wfink
Modified: 2018-12-04 17:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If a Hot Rod client is connected to a server cluster and one of the servers is shutdown gracefully, the client keeps trying to reconnect to the server. This occurs in replicated mode. There is no failure from the application perspective but there is always a retry if the RoundRobin strategy returns the unavailable server. This might have impact on performance or even cause a failure if there is a larger cluster and a part is going out of work for some reason.
Clone Of:
: 1135520 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1059277 unspecified VERIFIED HotRod client keep trying recover a connection to a cluster member after shutdown 2021-01-20 06:05:38 UTC
Red Hat Issue Tracker ISPN-3942 Critical Resolved HotRod client keep trying recover a connection to a cluster member after shutdown 2017-05-29 11:18:44 UTC

Internal Links: 1059276 1059277 1135520

Description wfink 2014-01-29 14:55:18 UTC
If a HotRod client is connected to a server cluster and one of the servers do a correct shutdown, the client keep try to reconnect the server after the cluster view has changed.
There is only a replicated cache configured.

From the server-logfile the new cluster view is established
16:00:22,290 INFO [org.infinispan.remoting.transport.jgroups.JGroupsTransport] (Incoming-3,shared=udp) ISPN000094: Received new cluster view: [node1/clustered|2] (1) [node1/clustered]

There is no failure from the application perspective, but there there is always a retry if the RoundRobin return the unavailable server.
This might end in a performance or failure issue if there is a larger cluster and a part going out of work for some reason.

Comment 1 JBoss JIRA Server 2014-01-31 13:29:18 UTC
Pedro Ruivo <pruivo@redhat.com> updated the status of jira ISPN-3942 to Coding In Progress

Comment 2 wfink 2014-02-03 08:42:34 UTC
*** Bug 1059276 has been marked as a duplicate of this bug. ***

Comment 3 JBoss JIRA Server 2014-02-06 12:37:02 UTC
Radim Vansa <rvansa@redhat.com> updated the status of jira ISPN-3942 to Reopened

Comment 4 Radim Vansa 2014-02-21 07:30:34 UTC
The original patch did not work. The new patch (currently PR) cannot be backported.

The issue is in fact not critical, I recommend closing as can't fix for JDG 6.1


Note You need to log in before you can comment on or make changes to this bug.